Summary: DOS emulator
Name: dosemu
Version: 0.98.1
Release: 2
Exclusivearch: i386
Copyright: distributable
Group: Applications/Emulators
Source0: ftp://dtp.dosemu.org/dosemu/dosemu-%{PACKAGE_VERSION}.tgz
Source1: http://www.freedos.org/files/fdbeta1.zip
# this kernel is generated from the freedos.144 floppy image coming with the
# above. Why they ship the kernel on the floppy image only ?!
Source2: dosemu-freedos-kernel.tar.gz
Patch0: dosemu-0.66.7-config.patch
Patch1: dosemu-0.66.7-glibc.patch
Patch2: dosemu-0.66.7-pushal.patch
Patch3: dosemu-0.98.1-security.patch
Patch4: dosemu-0.98.1-justroot.patch
Icon: dosemu.gif
Requires: kernel >= 2.0.28, mtools >= 3.6
Url: http://www.dosemu.org
Buildroot: /var/tmp/dosemu-root
Summary(de): DOS-Emulator
Summary(fr): Emulateur DOS
Summary(tr): DOS yknmcs

%package -n xdosemu
Requires: dosemu = %{PACKAGE_VERSION}
Summary: DOS emulator designed to run under X
Group: Applications/Emulators
Summary(de): DOS-Emulator fr X
Summary(fr): mulateur DOS conu pou tre lanc sous X
Summary(tr): X altnda alan DOS yknmcs

%package freedos
Requires: dosemu = %{PACKAGE_VERSION}
Summary: A FreeDOS hdimage for dosemu as a replacement for some other DOS versions 
Group: Applications/Emulators

%description
This package enables you to run a number of DOS programs under Linux. This
package includes an image with DOS-C kernel (MS DOS 3.31 compatible) and FreeDos
utilities. You should be able to start up the DOS emulator by logging in as
root and typing 'dos' at the prompt.

%description -n xdosemu
This is a version of the DOS emulator that is designed to run in an X windows
session. It provides VGA graphics support as well as mouse support.

%description freedos
This package includes a hdimage file that will be installed in
/var/lib/dosemu directory if you need some version of DOS to start using
dosemu.

Generally dosemu requires you to have some version of DOS available
to bootstrap your hdimage files before first use, or to have partitions
formatted and installed with DOS. If you have neither you can use this image
that is already bootable with FreeDOS.

You will need to edit your /etc/dosemu.conf file to add this image to the
list of "drives" used by dosemu. 

%description -l de -n xdosemu
Dies ist eine Version des DOS-Emulators fr X-Windows-Sitzungen.
Er untersttzt VGA-Grafiken und Maus.

%description -l fr -n xdosemu
Version de l'mulateur DOS conue pour tourner dans une session X. Offre une
gestion des graphismes VGA et de la souris.

%description -l tr -n xdosemu
Bu yazlm, DOS yknmcsnn X altnda alan bir srmdr. VGA grafikleri
ve fare destei vardr.


%prep
%setup -q
%patch0 -p1 -b .lock
#%patch2 -p1 -b .pushal
%patch3 -p1 -b .security
%patch4 -p1 -b .justroot
unzip -L $RPM_SOURCE_DIR/fdbeta1.zip
rm -rf freedos
mkdir freedos
for i in orlando/{base,sys,util}/?/*.zip ; do
    unzip -d freedos -q $i
done
tar xzf $RPM_SOURCE_DIR/dosemu-freedos-kernel.tar.gz -C freedos

%build
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin
./default-configure
echo | make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
make install INSTROOT=$RPM_BUILD_ROOT
install -m 755 src/tools/periph/{hdinfo,mkhdimage,mkfatimage16} $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/icons
install -m 644 etc/dosemu.xpm $RPM_BUILD_ROOT/usr/share/icons
install -m 644 etc/dosemu.users.secure $RPM_BUILD_ROOT/etc/dosemu.users
src/tools/periph/mkfatimage16 -p -k 8192 -l FreeDos \
	-b freedos/kernel/boot.bin \
	-f $RPM_BUILD_ROOT/var/lib/dosemu/hdimage.freedos \
	freedos/kernel/* 
FREEDOS=`/bin/mktemp /tmp/freedos.XXXXXX`
echo "drive n: file=\"$RPM_BUILD_ROOT/var/lib/dosemu/hdimage.freedos\" offset=8832" > $FREEDOS
MTOOLSRC=$FREEDOS
export MTOOLSRC
mcopy -o/ freedos/BIN freedos/DOC freedos/HELP n:
mmd n:/DOSEMU
mcopy -/ commands/* n:/DOSEMU
mcopy commands/exitemu* n:/
mdir -w n:
rm -f $FREEDOS
unset MTOOLSRC

install -m 644 etc/hdimage.dist $RPM_BUILD_ROOT/var/lib/dosemu/hdimage
# install dexe utils
#install -m 755 dexe/{do_mtools,extract-dos,mkdexe,myxcopy} $RPM_BUILD_ROOT/usr/bin

cat <<EOF >$RPM_BUILD_ROOT/usr/bin/rundos
#!/bin/sh
BINDIR=/bin
export BINDIR 
# ignore errors if user does not have module installed
/usr/bin/dos
EOF
chmod 0755 $RPM_BUILD_ROOT/usr/bin/rundos

# Strip things
strip $RPM_BUILD_ROOT/usr/bin/* || :

%post -n xdosemu
if [ -x /usr/X11R6/bin/mkfontdir ]; then
	(cd /usr/X11R6/lib/X11/fonts/misc; /usr/X11R6/bin/mkfontdir)
fi

%postun -n xdosemu
if [ -x /usr/X11R6/bin/mkfontdir ]; then
	(cd /usr/X11R6/lib/X11/fonts/misc; /usr/X11R6/bin/mkfontdir)
fi

%post freedos
[ -e /var/lib/dosemu/hdimage.first ] || \
    ln -s hdimage.freedos /var/lib/dosemu/hdimage.first

%files
%defattr(-,root,root)
%doc QuickStart doc/*
%dir /var/lib/dosemu
%config /etc/dosemu.conf
%config /etc/dosemu.users
%config /var/lib/dosemu/hdimage
%config /var/lib/dosemu/global.conf
/usr/bin/dos
/usr/bin/dosdebug
/usr/bin/dosexec
/usr/bin/hdinfo
/usr/bin/mkhdimage
/usr/bin/mkfatimage16
/usr/bin/rundos
/usr/man/man1/dos.1
/usr/man/man1/dosdebug.1
/usr/man/man1/mkfatimage16.1
/usr/share/icons/dosemu.xpm

%files -n xdosemu
%defattr(-,root,root)
/usr/bin/xdos
/usr/bin/xtermdos
/usr/man/man1/xdos.1
/usr/man/man1/xtermdos.1
/usr/X11R6/lib/X11/fonts/misc/vga.pcf

%files freedos
%config /var/lib/dosemu/hdimage.freedos

%clean
rm -rf $RPM_BUILD_ROOT
rm -f dosemu.files

%changelog
* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 0.98.1
- freedos has its own subpackage

* Wed Jun 24 1998 Alan Cox <alan@redhat.com>
- Wrote additional fixes for dexe overflow problem in parser.y

* Tue Jun 23 1998 Alan Cox <alan@redhat.com>
- Applied the security fixes from Hans Lerman

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- added DOS-C kernel and FreeDos utilities

* Thu Jan 29 1998 Cristian Gafton <gafton@redhat.com>
- updated spec file to include all the available commands
- uses a buildroot
- ship mkfatimage16, which is the only binary that can create a real hdimage
  file

* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Updated to 0.66.7
- Ported to glibc

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- Updated to 0.66.2.
- Removed /usr/bin/load-dosmods as we don't need emumod.o anymore

* Tue Mar 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- Modify the default configuration file to use /var/lock in
  ascii format for lock files, as specified in the FSSTD/FHS.

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Assume vm86plus system call does not exist.
- N.B. This should be changed in a future version with a later kernel
  that supports that system call by default.
- Install the mkhdimage program.
